package cc.fascinated.bat.features.messagesnipe;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import net.dv8tion.jda.api.entities.Message;

import java.util.Date;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
@Setter
public class SnipedMessage {
    /**
     * The message that was sniped
     */
    private Message message;

    /**
     * The date when the message was deleted
     */
    private Date deletedDate;
}
